Bug 229893 - www/firefox: update to 63.0
Summary: www/firefox: update to 63.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 229168 229826
Blocks: 229430 233028
  Show dependency treegraph
 
Reported: 2018-07-19 21:44 UTC by Jan Beich
Modified: 2018-12-10 20:26 UTC (History)
4 users (show)

See Also:


Attachments
log (94.26 KB, text/plain)
2018-10-17 15:17 UTC, Piotr Kubaj
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-07-19 21:44:37 UTC
No multi-process on FreeBSD anymore due to a kernel bug. Enjoy performance similar to Firefox < 57 (pre-Quantum).

See review D16356 for the patch.
Comment 1 Jan Beich freebsd_committer 2018-07-19 21:48:39 UTC
Oops, a kernel bug -> bug 181741.
Comment 2 Jan Beich freebsd_committer 2018-07-20 06:16:36 UTC
> No multi-process on FreeBSD anymore due to bug 181741.

That was worked around in https://bugzilla.mozilla.org/show_bug.cgi?id=1477129
I'll rebase the patch once it's merged to mozilla-central.
Comment 3 commit-hook freebsd_committer 2018-10-16 00:02:33 UTC
A commit references this bug:

Author: jbeich
Date: Tue Oct 16 00:01:24 UTC 2018
New revision: 482197
URL: https://svnweb.freebsd.org/changeset/ports/482197

Log:
  www/firefox: update to 63.0

  Changes:	https://www.mozilla.org/firefox/63.0/releasenotes/
  PR:		229893
  Security:	7c3a02b9-3273-4426-a0ba-f90fad2ff72e
  MFH:		2018Q4
  Differential Revision:	https://reviews.freebsd.org/D16356

Changes:
  head/Mk/Uses/gecko.mk
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1288587
  head/www/firefox/files/patch-bug1448770
  head/www/firefox/files/patch-bug847568
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 4 Piotr Kubaj 2018-10-16 12:18:30 UTC
I'm having an issue building firefox-63.0 (62.0.3_1,1 builds ok).

checking what kind of list files are supported by the linker... configure: error: Couldn't find one that works
DEBUG: <truncated - see config.log for full output>
DEBUG: configure:14469: /usr/local/bin/clang++70 -o conftest -O2 -pipe -march=native -O3 -DLIBICONV_PLUG -fstack-protector-all -isystem /usr/local/include -fno-strict-aliasing  -DLIBICONV_PLUG -isystem /usr/local/include  -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-exceptions -fno-strict-aliasing -fno-rtti -ffunction-sections -fdata-sections -fno-exceptions -fno-math-errno -Qunused-arguments -DLIBICONV_PLUG -isystem /usr/local/include -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2  -pthread  -Wl,--as-needed -fstack-protector   -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,--build-id=sha1 conftest.C -L/usr/local/lib 1>&5
DEBUG: configure:14551: checking for -pipe support
DEBUG: configure:14581: checking what kind of list files are supported by the linker
DEBUG: configure:14586: /usr/local/bin/clang70 -std=gnu99 -o conftest.o -c -O2 -pipe -march=native  -O3 -DLIBICONV_PLUG -fstack-protector-all -isystem /usr/local/include -fno-strict-aliasing  -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno -pipe -Qunused-arguments -DLIBICONV_PLUG -isystem /usr/local/include -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2  conftest.c 1>&5
DEBUG: configure:14588: /usr/local/bin/clang70 -std=gnu99 -o conftest -O2 -pipe -march=native  -O3 -DLIBICONV_PLUG -fstack-protector-all -isystem /usr/local/include -fno-strict-aliasing  -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno
-pipe -Qunused-arguments -DLIBICONV_PLUG -isystem /usr/local/include -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2  -pthread  -Wl,--as-needed -fstack-protector   -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,--build-id=sha1 conftest.list -L/usr/local/lib 1>&5
DEBUG: /usr/bin/ld: error: unresolvable relocation R_X86_64_PC32 against symbol '__stack_chk_guard'; recompile with -fPIC or remove '-z nocopyreloc'
DEBUG: >>> defined in /lib/libc.so.7
DEBUG: >>> referenced by conftest.c
DEBUG: >>>               conftest.o:(main)
DEBUG: clang-7: error: linker command failed with exit code 1 (use -v to see invocation)
DEBUG: configure:14592: /usr/local/bin/clang70 -std=gnu99 -o conftest -O2 -pipe -march=native  -O3 -DLIBICONV_PLUG -fstack-protector-all -isystem /usr/local/include -fno-strict-aliasing  -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno
-pipe -Qunused-arguments -DLIBICONV_PLUG -isystem /usr/local/include -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2  -pthread  -Wl,--as-needed -fstack-protector   -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,--build-id=sha1 -Wl,-filelist,conftest.list -L/usr/local/lib 1>&5
DEBUG: /usr/bin/ld: error: unknown argument: -filelist
DEBUG: clang-7: error: linker command failed with exit code 1 (use -v to see invocation)
DEBUG: configure:14594: /usr/local/bin/clang70 -std=gnu99 -o conftest -O2 -pipe -march=native  -O3 -DLIBICONV_PLUG -fstack-protector-all -isystem /usr/local/include -fno-strict-aliasing  -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno
-pipe -Qunused-arguments -DLIBICONV_PLUG -isystem /usr/local/include -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2  -pthread  -Wl,--as-needed -fstack-protector   -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,--build-id=sha1 @conftest.list -L/usr/local/lib 1>&5
DEBUG: /usr/bin/ld: error: unresolvable relocation R_X86_64_PC32 against symbol '__stack_chk_guard'; recompile with -fPIC or remove '-z nocopyreloc'
DEBUG: >>> defined in /lib/libc.so.7
DEBUG: >>> referenced by conftest.c
DEBUG: >>>               conftest.o:(main)
DEBUG: clang-7: error: linker command failed with exit code 1 (use -v to see invocation)
DEBUG: configure: error: Couldn't find one that works
ERROR: old-configure failed

===> The following configuration options are available for firefox-63.0,1:
     CANBERRA=off: Sound theme alerts
     DBUS=on: D-Bus IPC system support
     DEBUG=off: Build with debugging support
     FFMPEG=on: FFmpeg support (WMA, AIFF, AC3, APE...)
     GCONF=off: GConf configuration backend support
     INTEGER_SAMPLES=off: Integer audio sample format
     LIBPROXY=off: Proxy support via libproxy
     OPTIMIZED_CFLAGS=on: Use extra compiler optimizations
     PROFILE=off: Build with profiling support
     TEST=off: Build and/or run tests
====> Options available for the multi AUDIO: you have to choose at least one of them
     ALSA=off: ALSA audio architecture support
     JACK=off: JACK audio server support
     PULSEAUDIO=off: PulseAudio sound server support
     SNDIO=on: Sndio audio support

This is on 12.0-ALPHA9.
Comment 5 Jan Beich freebsd_committer 2018-10-17 04:58:30 UTC
(In reply to Piotr Kubaj from comment #4)
I can't reproduce but my -CURRENT snapshot is 2 weeks old. Can you attach full build log from poudriere? Did you change any port options in devel/llvm70 or other dependencies?
Comment 6 Piotr Kubaj 2018-10-17 15:17:09 UTC
Created attachment 198272 [details]
log

Here it is.

It's from HardenedBSD host, but I get the same error (using the same options) on vanilla FreeBSD (I don't use Poudriere there since this box is much slower).

The test for Poudriere was with default options for everything except for www/node (doesn't compile on head with DTRACE).
Comment 7 commit-hook freebsd_committer 2018-10-19 03:13:25 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 19 03:12:22 UTC 2018
New revision: 482402
URL: https://svnweb.freebsd.org/changeset/ports/482402

Log:
  www/firefox: switch to rc2

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2018-10-16&enddate=2018-10-19
  PR:		229893
  Security:	7c3a02b9-3273-4426-a0ba-f90fad2ff72e

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 9 Jan Beich freebsd_committer 2018-10-19 12:26:43 UTC
Piotr Kubaj, if you can't provide FreeBSD build log (to compare) try to extract test case. I don't have a clue about HardenedBSD but maybe one of their linker flags breaks configure. If so try filing a bug on their tracker or ask upstream (LLVM or Firefox).
Comment 10 Piotr Kubaj 2018-10-19 13:51:45 UTC
(In reply to Jan Beich from comment #9)
I don't think it's HBSD's fault, the same error happens also on FreeBSD (it's just that this PC is slow so I don't want to compile all packages with Poudriere).

The test case is this:
$/usr/ports/www/firefox/work/.build$ cat conftest.c                                                                                   int main() {return 0;}

It's compiled using:
/usr/local/bin/clang70 -std=gnu99 -o conftest -O2 -pipe -march=native  -O3 -DLIBICONV_PLUG -fstack-protector-all -isystem /usr/local/include -fno-strict-aliasing  -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno -pipe -Qunused-arguments -DLIBICONV_PLUG -isystem /usr/local/include -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2  -pthread  -Wl,--as-needed -fstack-protector   -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,--build-id=sha1 @conftest.list -L/usr/local/lib

My make.conf is:
CPUTYPE?=native
DISTDIR=/tmp
RANDOMIZE_MASTER_SITES="YES"
DISABLE_VULNERABILITIES=yes
DEFAULT_VERSIONS=       linux=c7_64
SSP_CFLAGS="-fstack-protector-all"

Compiling with -v:
/usr/local/bin/clang70 -std=gnu99 -o conftest -O2 -pipe -march=native  -O3 -DLIBICONV_PLUG -fstack-protector-all -isystem /usr/local/include -fno-strict-aliasing  -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fno-strict-aliasing -ffunction-sections -fdata-sections -fno-math-errno -pipe -Qunused-arguments -DLIBICONV_PLUG -isystem /usr/local/include -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2  -pthread  -Wl,--as-needed -fstack-protector   -Wl,-z,noexecstack -Wl,-z,text -Wl,-z,relro -Wl,-z,nocopyreloc -Wl,--build-id=sha1 @conftest.list -L/usr/local/lib -v

Result:
clang version 7.0.0 (tags/RELEASE_700/final)
Target: x86_64-portbld-freebsd12.0
Thread model: posix
InstalledDir: /usr/local/llvm70/bin
 "/usr/bin/ld" --eh-frame-hdr -dynamic-linker /libexec/ld-elf.so.1 --hash-style=both --enable-new-dtags -o conftest /usr/lib/crt1.o /usr/lib/crti.o /usr/lib/crtbegin.o -L/usr/local/lib -L/usr/lib --as-needed -z noexecstack -z text -z relro -z nocopyreloc --build-id=sha1 conftest.o -lgcc --as-needed -lgcc_s --no-as-needed -lpthread -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/crtend.o /usr/lib/crtn.o
/usr/bin/ld: error: unresolvable relocation R_X86_64_PC32 against symbol '__stack_chk_guard'; recompile with -fPIC or remove '-z nocopyreloc'
>>> defined in /lib/libc.so.7
>>> referenced by conftest.c
>>>               conftest.o:(main)
clang-7: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 11 Piotr Kubaj 2018-10-19 13:53:27 UTC
(In reply to Piotr Kubaj from comment #10)
I think it may be related to:
SSP_CFLAGS="-fstack-protector-all"
but I need to check more.
Comment 12 Jan Beich freebsd_committer 2018-10-19 14:08:42 UTC
(In reply to Piotr Kubaj from comment #11)
> SSP_CFLAGS="-fstack-protector-all"

-fstack-protector-all doesn't work with -Wl,z,nocopyreloc (added in Firefox 63) with Clang on FreeBSD amd64. Drop either flag, switch to lang/gcc* or seek feedback from toolchain@.

https://bugzilla.mozilla.org/show_bug.cgi?id=1485610
Comment 13 Jan Beich freebsd_committer 2018-10-19 14:13:42 UTC
Ah, -fstack-protector-all on i386 is fine because it didn't switch to LLD yet (unlike aarch64 and amd64). Another workaround would be LDFLAGS+=-fuse-ld=bfd aka LLD_UNSAFE=yes.
Comment 14 Piotr Kubaj 2018-10-19 14:24:35 UTC
(In reply to Jan Beich from comment #13)
Could you add SSP_UNSAFE=yes to the port in this case?
Comment 15 Jan Beich freebsd_committer 2018-10-19 14:35:06 UTC
(In reply to Piotr Kubaj from comment #14)
Why? -fstack-protector (not -all) isn't broken. I'd prefer to avoid LLD_UNSAFE as it'd interfere with adding LTO support. And LTO without LLD requires Gold plugin which is limited to amd64 on FreeBSD.
Comment 16 Piotr Kubaj 2018-10-19 15:34:52 UTC
(In reply to Jan Beich from comment #15)
OK, thanks for explaining this issue.
Comment 17 Shawn Webb 2018-10-19 17:50:17 UTC
What we in HardenedBSD can do is use normal SSP (without -all) for www/firefox. I believe all we have to do is override SSP_CFLAGS in www/firefox/Makefile.
Comment 18 commit-hook freebsd_committer 2018-10-22 23:53:15 UTC
A commit references this bug:

Author: jbeich
Date: Mon Oct 22 23:53:01 UTC 2018
New revision: 482798
URL: https://svnweb.freebsd.org/changeset/ports/482798

Log:
  MFH: r482197 r482402

  www/firefox: update to 63.0

  Changes:	https://www.mozilla.org/firefox/63.0/releasenotes/
  PR:		229893
  Security:	7c3a02b9-3273-4426-a0ba-f90fad2ff72e
  Approved by:	ports-secteam (miwi)
  Differential Revision:	https://reviews.freebsd.org/D16356

Changes:
_U  branches/2018Q4/
  branches/2018Q4/Mk/Uses/gecko.mk
  branches/2018Q4/Mk/bsd.gecko.mk
  branches/2018Q4/www/firefox/Makefile
  branches/2018Q4/www/firefox/distinfo
  branches/2018Q4/www/firefox/files/patch-bug1288587
  branches/2018Q4/www/firefox/files/patch-bug1448770
  branches/2018Q4/www/firefox/files/patch-bug847568
  branches/2018Q4/www/firefox-i18n/Makefile
  branches/2018Q4/www/firefox-i18n/distinfo
Comment 19 commit-hook freebsd_committer 2018-10-31 12:18:55 UTC
A commit references this bug:

Author: jbeich
Date: Wed Oct 31 12:18:49 UTC 2018
New revision: 483567
URL: https://svnweb.freebsd.org/changeset/ports/483567

Log:
  www/firefox: update to 63.0.1

  Changes:	https://www.mozilla.org/firefox/63.0.1/releasenotes/
  PR:		229893

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 20 Piotr Kubaj 2018-10-31 16:14:30 UTC
(In reply to commit-hook from comment #19)
Another error, this time when trying to upgrade from 63.0_3,1 to 63.0.1,1:
   Compiling style v0.0.1 (/usr/ports/www/firefox/work/firefox-63.0.1/servo/components/style)                                              [379/3956]
error: failed to run custom build command for `style v0.0.1 (/usr/ports/www/firefox/work/firefox-63.0.1/servo/components/style)`
process didn't exit successfully: `/usr/ports/www/firefox/work/.build/toolkit/library/release/build/style-7d70ecd39d24111d/build-script-build` (exit
code: 101)
--- stdout
cargo:rerun-if-changed=build.rs
cargo:out_dir=/usr/ports/www/firefox/work/.build/toolkit/library/x86_64-unknown-freebsd/release/build/style-27636088cccb4fa0/out
cargo:rerun-if-changed=properties/declaration_block.rs
cargo:rerun-if-changed=properties/Mako-0.9.1.zip
cargo:rerun-if-changed=properties/helpers.mako.rs
cargo:rerun-if-changed=properties/gecko.mako.rs
cargo:rerun-if-changed=properties/shorthands/margin.mako.rs
cargo:rerun-if-changed=properties/shorthands/list.mako.rs
cargo:rerun-if-changed=properties/shorthands/background.mako.rs
cargo:rerun-if-changed=properties/shorthands/outline.mako.rs
cargo:rerun-if-changed=properties/shorthands/font.mako.rs
cargo:rerun-if-changed=properties/shorthands/box.mako.rs
cargo:rerun-if-changed=properties/shorthands/column.mako.rs
cargo:rerun-if-changed=properties/shorthands/svg.mako.rs
cargo:rerun-if-changed=properties/shorthands/border.mako.rs
cargo:rerun-if-changed=properties/shorthands/inherited_text.mako.rs
cargo:rerun-if-changed=properties/shorthands/inherited_svg.mako.rs
cargo:rerun-if-changed=properties/shorthands/text.mako.rs
cargo:rerun-if-changed=properties/shorthands/padding.mako.rs
cargo:rerun-if-changed=properties/shorthands/position.mako.rs
cargo:rerun-if-changed=properties/longhands/color.mako.rs
cargo:rerun-if-changed=properties/longhands/counters.mako.rs
cargo:rerun-if-changed=properties/longhands/inherited_box.mako.rs
cargo:rerun-if-changed=properties/longhands/table.mako.rs
cargo:rerun-if-changed=properties/longhands/inherited_svg.mako.rs
cargo:rerun-if-changed=properties/longhands/inherited_table.mako.rs
cargo:rerun-if-changed=properties/longhands/inherited_ui.mako.rs
cargo:rerun-if-changed=properties/longhands/font.mako.rs
cargo:rerun-if-changed=properties/longhands/background.mako.rs
cargo:rerun-if-changed=properties/longhands/list.mako.rs
cargo:rerun-if-changed=properties/longhands/effects.mako.rs
cargo:rerun-if-changed=properties/longhands/outline.mako.rs
cargo:rerun-if-changed=properties/longhands/text.mako.rs
cargo:rerun-if-changed=properties/longhands/padding.mako.rs
cargo:rerun-if-changed=properties/longhands/margin.mako.rs
cargo:rerun-if-changed=properties/longhands/ui.mako.rs
cargo:rerun-if-changed=properties/longhands/border.mako.rs
cargo:rerun-if-changed=properties/longhands/inherited_text.mako.rs
cargo:rerun-if-changed=properties/longhands/box.mako.rs
cargo:rerun-if-changed=properties/longhands/column.mako.rs
cargo:rerun-if-changed=properties/longhands/svg.mako.rs
cargo:rerun-if-changed=properties/longhands/position.mako.rs
cargo:rerun-if-changed=properties/longhands/xul.mako.rs
cargo:rerun-if-changed=properties/properties.html.mako
cargo:rerun-if-changed=properties/data.py
cargo:rerun-if-changed=properties/properties.mako.rs
cargo:rerun-if-changed=properties/helpers/animated_properties.mako.rs
cargo:rerun-if-changed=properties/build.py
cargo:rerun-if-changed=properties/computed_value_flags.rs
cargo:rerun-if-changed=build_gecko.rs
cargo:rerun-if-changed=/usr/ports/www/firefox/work/firefox-63.0.1/servo/components/style/gecko/regen_atoms.py
cargo:rerun-if-changed=/usr/ports/www/firefox/work/firefox-63.0.1/layout/style/ServoBindings.toml
cargo:rerun-if-changed=/usr/ports/www/firefox/work/.build/layout/style/bindgen.toml
cargo:rerun-if-changed=/usr/ports/www/firefox/work/.build/dist/include/nsGkAtomList.h
cargo:rerun-if-changed=/usr/ports/www/firefox/work/firefox-63.0.1/servo/components/style/gecko/pseudo_element_definition.mako.rs

--- stderr
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:135:1: warning: replacement function 'operator new' cannot be declared 'inline' [-
Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:142:21: warning: replacement function 'operator new' cannot be declared 'inline' [
-Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:148:21: warning: replacement function 'operator new[]' cannot be declared 'inline'
 [-Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:154:21: warning: replacement function 'operator new[]' cannot be declared 'inline'
 [-Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:160:21: warning: replacement function 'operator delete' cannot be declared 'inline
' [-Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:166:21: warning: replacement function 'operator delete' cannot be declared 'inline
' [-Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:172:21: warning: replacement function 'operator delete[]' cannot be declared 'inli
ne' [-Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:178:21: warning: replacement function 'operator delete[]' cannot be declared 'inli
ne' [-Winline-new-delete]
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1896:3: error: unknown type name 'StyleFillRule'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1897:20: error: unknown type name 'StyleFillRule'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1962:3: error: unknown type name 'StyleFillRule'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1888:17: error: use of undeclared identifier 'StyleFillRule'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1976:18: error: use of undeclared identifier 'StylePathCommand'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1981:3: error: unknown type name 'StyleFillRule'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1997:12: error: use of undeclared identifier 'StylePathCommand'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1998:3: error: unknown type name 'StyleFillRule'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2134:12: error: no type named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2135:12: error: no type named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2141:12: error: no type named 'StyleAppearance' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2315:51: error: no type named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2373:42: error: no type named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2378:50: error: no type named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2469:19: error: no type named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2291:36: error: no member named 'StyleAppearance' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2295:21: error: no member named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2296:21: error: no member named 'StyleDisplay' in namespace 'mozilla'
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:2297:21: error: no member named 'StyleDisplay' in namespace 'mozilla'
fatal error: too many errors emitted, stopping now [-ferror-limit=]
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:135:1: warning: replacement function 'operator new' cannot be declared 'inline' [-
Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:142:21: warning: replacement function 'operator new' cannot be declared 'inline' [
-Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:148:21: warning: replacement function 'operator new[]' cannot be declared 'inline'
 [-Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:154:21: warning: replacement function 'operator new[]' cannot be declared 'inline'
 [-Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:160:21: warning: replacement function 'operator delete' cannot be declared 'inline
' [-Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:166:21: warning: replacement function 'operator delete' cannot be declared 'inline
' [-Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:172:21: warning: replacement function 'operator delete[]' cannot be declared 'inli
ne' [-Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/mozilla/mozalloc.h:178:21: warning: replacement function 'operator delete[]' cannot be declared 'inli
ne' [-Winline-new-delete], err: false
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1896:3: error: unknown type name 'StyleFillRule', err: true
/usr/ports/www/firefox/work/.build/dist/include/nsStyleStruct.h:1897:20: error: unknown type name 'StyleFillRule', err: true
Comment 21 Christoph Moench-Tegeder freebsd_committer 2018-10-31 16:39:14 UTC
(In reply to Piotr Kubaj from comment #20)

Can confirm that (same problem here, in poudriere, 11.2 amd64, latest ports).
As this wasn't a problem in 63.0 and the rust code itself did not change between 63.0 and 63.0.1 (and nothing else immediately suspicious in the diff), I have the hunch that this regression is caused by some external tooling (rust-cbindgen and rust have been updated since firefox 63.0). I'm running test builds with older rust/rust-cbindgen (but rust takes it's time...).
Comment 22 Christoph Moench-Tegeder freebsd_committer 2018-10-31 17:24:01 UTC
(In reply to Christoph Moench-Tegeder from comment #21)

Aha: downgrading rust-cbindgen to 0.6.6 does the trick.
Jan, wanna report ports r483566 ?
Comment 23 Christoph Moench-Tegeder freebsd_committer 2018-10-31 17:25:51 UTC
(In reply to Christoph Moench-Tegeder from comment #22)
> Jan, wanna report ports r483566 ?
             ^ revert. this day has already been too long.
Comment 24 Jan Beich freebsd_committer 2018-10-31 18:40:07 UTC
Probably needs https://bugzilla.mozilla.org/show_bug.cgi?id=1503401
Downgrading is not a good option as upstream keeps bumping minimum required cbindgen version.
Comment 25 commit-hook freebsd_committer 2018-10-31 19:02:02 UTC
A commit references this bug:

Author: jbeich
Date: Wed Oct 31 19:01:34 UTC 2018
New revision: 483606
URL: https://svnweb.freebsd.org/changeset/ports/483606

Log:
  www/firefox: unbreak with cbindgen 0.6.7 (after r483566)

  dist/include/nsStyleStruct.h:1896:3: error: unknown type name 'StyleFillRule', err: true
  dist/include/nsStyleStruct.h:2134:12: error: no type named 'StyleDisplay' in namespace 'mozilla', err: true

  PR:		229893
  Reported by:	Piotr Kubaj, cmt
  Obtained from:	upstream
  Pointy hat to:	jbeich

Changes:
  head/www/firefox/files/patch-bug1503401
Comment 26 commit-hook freebsd_committer 2018-10-31 19:31:28 UTC
A commit references this bug:

Author: jbeich
Date: Wed Oct 31 19:30:31 UTC 2018
New revision: 483608
URL: https://svnweb.freebsd.org/changeset/ports/483608

Log:
  MFH: r483567

  www/firefox: update to 63.0.1

  Changes:	https://www.mozilla.org/firefox/63.0.1/releasenotes/
  PR:		229893
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q4/
  branches/2018Q4/www/firefox/Makefile
  branches/2018Q4/www/firefox/distinfo
  branches/2018Q4/www/firefox-i18n/Makefile
  branches/2018Q4/www/firefox-i18n/distinfo
Comment 27 commit-hook freebsd_committer 2018-11-01 05:54:16 UTC
A commit references this bug:

Author: jbeich
Date: Thu Nov  1 05:53:13 UTC 2018
New revision: 483638
URL: https://svnweb.freebsd.org/changeset/ports/483638

Log:
  www/firefox: restore cbindgen < 0.6.7 support (after r483606)

  dist/include/nsStyleStruct.h:1896:3: error: unknown type name 'StyleFillRule'
  dist/include/nsStyleStruct.h:2134:12: error: no type named 'StyleDisplay' in namespace 'mozilla'

  PR:		229893
  Reported by:	yuripv
  Obtained from:	upstream

Changes:
  head/www/firefox/files/patch-bug1503401